Bug 18937 - failed dependencies updating the packages
Summary: failed dependencies updating the packages
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-12 07:34 UTC by lanzi
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-21 07:09:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lanzi 2000-10-12 07:34:38 UTC
I got the all the updated packages for openssh-2.2.0p1-5.i386.rpm (10 Oct),
but when I try to update using:
>rpm -Uhv openssh-2.2.0p1-5.i386.rpm
the system says:
error: failed dependencies:
libpam.so.0 is needed by openssh-2.2.0p1-5

Same thing happens with usermode-1.36-3

It seems that they need  /lib/libpam.so.0.74 but the one provided with the
iso image downloaded from one of your mirror is  /lib/libpam.so.0.72,

any help is appreciated !
-Leo

Comment 1 Nalin Dahyabhai 2000-11-20 17:52:15 UTC
Do you have the pam package installed?  What is the output of "rpm -q --provides
pam | grep ^lib"?

Comment 2 lanzi 2000-11-21 07:09:45 UTC
rpm -q --provides pam | grep ^lib gives:
libpam.so.0  
libpam_misc.so.0

anyhow I "resolved" with rpm -Uhv --nodeps
for all the packages that shown the same problem.

Regards,
-Leo

Comment 3 Nalin Dahyabhai 2001-01-23 04:00:22 UTC
The sonames should be the same, so I'm not sure what to make of these.


Note You need to log in before you can comment on or make changes to this bug.